#ifndef LEDS_H
#define LEDS_H

#define LEDS_OFF 0
#define LEDS_NUMLOCK 1
#define LEDS_CAPSLOCK 2
#define LEDS_SCROLLOCK 3

#define LEDS_LEFT 0
#define LEDS_CENTER 1
#define LEDS_RIGHT 2
#define LEDS_TOP 0
#define LEDS_BOTTOM 2

#define LEDS_VIOLET 0


typedef struct
{

    /* Lying or standing? */
    int vert_horz;

    int horz,vert;
    int draw;
    int layout;

    int led1_func, led1_colour;
    int led2_func, led2_colour;
    int led3_func, led3_colour;
    int led4_func, led4_colour;



} Leds_settings;

void leds_init(void);
void leds_update(int);
void leds_exit(void);
Leds_settings *leds_get_settings_ptr(void);
#endif
